Package org.eclipse.rdf4j.sail.shacl.ast.paths

## Class SimplePath

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.paths.Path
  - - org.eclipse.rdf4j.sail.shacl.ast.paths.SimplePath

- All Implemented Interfaces:
    `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.Identifiable`, `org.eclipse.rdf4j.sail.shacl.ast.Targetable`

      public class SimplePath
      extends Path

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimplePath​(IRI predicate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PlanNode` | `getAdded​(ConnectionsGroup connectionsGroup, Resource[] dataGraph, PlanNodeWrapper planNodeWrapper)` |
    `Resource` | `getId()` |
    `Stream<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher>` | `getStatementMatcher​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object, RdfsSubClassOfReasoner rdfsSubClassOfReasoner)` |
    `String` | `getTargetQueryFragment​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object, RdfsSubClassOfReasoner rdfsSubClassOfReasoner, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)` |
    `boolean` | `isSupported()` |
    `void` | `toModel​(Resource subject, IRI predicate, Model model, Set<Resource> cycleDetection)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.paths.Path

      `buildPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePath

          public SimplePath​(IRI predicate)

  - ### Method Detail

    - #### getId

          public Resource getId()

      Specified by:
        `getId` in interface `org.eclipse.rdf4j.sail.shacl.ast.Identifiable`
      Overrides:
        `getId` in class `Path`

    - #### getAdded

          public PlanNode getAdded​(ConnectionsGroup connectionsGroup,
                                   Resource[] dataGraph,
                                   PlanNodeWrapper planNodeWrapper)

      Specified by:
        `getAdded` in class `Path`

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in class `Path`
      Returns:
        true if feature is currently supported by the ShaclSail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toModel

          public void toModel​(Resource subject,
                              IRI predicate,
                              Model model,
                              Set<Resource> cycleDetection)

    - #### getStatementMatcher

          public Stream<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher> getStatementMatcher​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject,
                                                                                               org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object,
                                                                                               RdfsSubClassOfReasoner rdfsSubClassOfReasoner)

    - #### getTargetQueryFragment

          public String getTargetQueryFragment​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject,
                                               org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object,
                                               RdfsSubClassOfReasoner rdfsSubClassOfReasoner,
                                               org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)